<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require "../../conexion/conectar.php";
//include("../actualizarBus.php");

$conexion = new CONDB();
$conexion->conectar();

$rfcReceptor=$_POST["exporta_busca_receptor"];
$doc=$_POST["exporta_busca_documento"];
$serieI=$_POST["exporta_busca_serieI"];
$serieF=$_POST["exporta_busca_serieF"];
$folioI=$_POST["exporta_busca_folioI"];
$folioF=$_POST["exporta_busca_folioF"];
$fechaI=$_POST["exporta_busca_fechaI"];
$fechaF=$_POST["exporta_busca_fechaF"];

$busca_nombre=$_POST["exporta_busca_nombre"];

		if($serieF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery2());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$serieF=$maximo["serie_maxima"];
		}
		if($folioF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery3());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$folioF=$maximo["folio_maximo"];
		}
		if($fechaF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery4());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$fechaF=substr($maximo["fecha_maxima"],0,10);
		}
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		$fechaF.=" 23:59:59";
		$q=getQuery5($serieI,$serieF,$doc,$rfcReceptor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre);

	$result = mysqli_query($conexion->CONEXION,$q);
	$contenido="RFC Emisor\tDocumento\tSerie\tFolio\tUUID\tFecha\tRFC Receptor\tTotal\tMoneda\tStatus\tNombre Emisor\tFecha Pago\tStatus Pago\n";
	if(mysqli_num_rows($result) > 0){
		while($tmp = mysqli_fetch_array($result,MYSQLI_ASSOC)){
			$contenido.=$tmp['rfcemisor']."\t".$tmp['tipodocto']."\t".$tmp['serie']."\t".$tmp['folio']."\t".$tmp['uuid']."\t".$tmp['fechaDocto']."\t".$tmp['rfc_receptor']."\t".$tmp['total']."\t".$tmp['tipoMoneda']."\t".$tmp['status']."\t".$tmp['nombreemi']."\t".$tmp['fecha_pago']."\t".$tmp['status_pago']."\n";
		}
	}
	
	$_SESSION['contenido_archivo']="";
	$_SESSION['contenido_archivo']=$contenido;
	
	?><script>window.open('formularios/extras/descarga_xls.php');</script><?

function getQuery2(){
	 $getQuery2="select max(serie) as serie_maxima from recibedoce";
	return $getQuery2;
}
function getQuery3(){
	 $getQuery3="select max(folio) as folio_maximo from recibedoce";
	return $getQuery3;
}
function getQuery4(){
	 $getQuery4="select max(fechadocto) as fecha_maxima from recibedoce";
	return $getQuery4;
}
function getQuery5($serieI,$serieF,$doc,$rfcReceptor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre){
	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
		$permisosComplemento=$_SESSION['permisos_p_prov_absa'];
	}else{
		$complementoQuery="and rfcEmisor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	if($doc == ""){
		$docQuery="like '%$doc%'";
	}else{
		$docQuery="='$doc'";
	}
	
	if($rfcReceptor == ""){
		$rfcQuery="like '%$rfcReceptor%'";
	}else{
		$rfcQuery="='$rfcReceptor'";
	}
	

        $filtroStatus="";
        
        if(isset($_POST['exporta_status'])){
            
            for($i=0; $i < count($_POST['exporta_status']); $i++){
                if(trim($_POST['exporta_status'][$i]) != ""){
                    
                            if($filtroStatus=="")
                                $filtroStatus.=" and ( status='".str_replace ("0", "R", str_replace ("1", "W", str_replace ("2", "A", $_POST['exporta_status'][$i])))."'";
                            else
                                $filtroStatus.=" or status='".str_replace ("0", "R", str_replace ("1", "W", str_replace ("2", "A", $_POST['exporta_status'][$i])))."'";

                }
            }
            
            if(trim($filtroStatus) != "")
                $filtroStatus.=" )";
        }
       
        
        $comRFCRECEPTOR="";
	if(trim($_SESSION["RES_RFC_REFERENCIA"]) == "SI"){
		if(trim(strtoupper($_SESSION['usuario_p_prov_absa'])) != "ADMIN"){
			//$comRFCRECEPTOR="rfc_receptor='".$_SESSION['sesion_ref_rfc_receptor']."' and";
			$comRFCRECEPTOR="rfc_receptor in ('".str_replace(",","','",$_SESSION['sesion_ref_rfc_receptor'])."') and";
		}
	}
	
	$getQuery5="select distinct asignado_a,rutaXML_P as xml,rutaPDF_P as pdf,rfc_receptor,tipodocto,serie,folio,uuid,fechaDocto,rfcemisor,nombreemi,total,tipoMoneda,status,fechaRecibido,d.adicional as adicional,comentarios, ArchivoXML,ArchivoPDF,usarRutaDistribuida,c.idReceptor as idReceptor,comentario_status,status_pago,fecha_pago from (select t.idReceptor as idReceptor,rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida,adicional from receptor e,tdoctos_r t where e.idReceptor=t.idReceptor) as c,recibedoce d where (d.nombreemi like '%$busca_nombre%' or d.rfcemisor like '%$busca_nombre%') and c.rfc = d.rfc_receptor and rfc_receptor $rfcQuery and tipodocto $docQuery and d.tipodocto=c.tipodoc $complementoQuery and serie between '$serieI' and '$serieF' and folio between '$folioI' and '$folioF' and $comRFCRECEPTOR fechaDocto between '$fechaI' and '$fechaF' $filtroStatus $permisosComplemento";
	
        //echo $getQuery5;exit;
	return $getQuery5;
}
?>